## mumudvb 1.5.3

=== src/Makefile ===
CC	= gcc
CFLAGS	= -Wall -Wextra -O2 -ggdb
IFLAGS	= -g root -o root

OUT		= mumudvb
OBJ_FILES	= mumudvb.o tune.o udp.o dvb.o pat_rewrite.o cam.o cam_en50221.o log.o ts.o autoconf.o sap.o crc32.o
SRC_FILES	= $(OBJ_FILES:.o=.c)

ifdef DESTDIR
  BINDIR = $(DESTDIR)/usr/bin
else
  BINDIR = /usr/bin
endif

ifdef DEBUG
  CFLAGS += -g
endif

.PHONY: all clean clean_objs install uninstall

all: $(OUT)

mumudvb: $(OBJ_FILES)
	$(CC) $(INCS) $(CFLAGS) -o $@ $^

clean: clean_objs
	-rm -f  $(OUT)

clean_objs:
	-rm -f  *.o *~ .depend

install: $(OUT)
	install $(IFLAGS) -d $(BINDIR)
	install $(IFLAGS) -m 755 mumudvb $(BINDIR)

uninstall:
	-rm $(BINDIR)/mumudvb
	-rm -r /var/run/mumudvb

%.o: %.c
	$(CC) $(CFLAGS) -c $<

.depend: $(SRC_FILES)
	$(CC) -MM $^ > $@

include .depend

## mumudvb 1.5.4

=== Makefile ===
IFLAGS	= -g root -o root

ifdef DESTDIR
  MANDIR = $(DESTDIR)/usr/share/man/man1
else
  MANDIR = /usr/share/man/man1
endif

.PHONY: all clean install uninstall install_man

all:
	$(MAKE) -C src

clean:
	$(MAKE) clean -C src

install:
	$(MAKE) install -C src
	install -d $(DESTDIR)/usr/share/doc/mumudvb
	install -d $(DESTDIR)/usr/share/doc/mumudvb/examples
	install -m 644 doc/README_CONF* $(DESTDIR)/usr/share/doc/mumudvb
	install -m 644 doc/QUICKSTART $(DESTDIR)/usr/share/doc/mumudvb
	install -m 644 README README-fr $(DESTDIR)/usr/share/doc/mumudvb
	install -m 644 doc/conf.example* $(DESTDIR)/usr/share/doc/mumudvb/examples
	mkdir -p $(DESTDIR)/var/run/mumudvb

uninstall:
	$(MAKE) uninstall -C src

install_man:
	install $(IFLAGS) -d $(MANDIR)
	install $(IFLAGS) -m 644 doc/mumudvb.1 $(MANDIR)
	gzip -9 $(MANDIR)/mumudvb.1

=== src/Makefile ===
CC	= gcc
CFLAGS	= -Wall -Wextra
IFLAGS	= -g root -o root

OUT		= mumudvb
OBJ_FILES	= mumudvb.o tune.o udp.o dvb.o pat_rewrite.o cam.o log.o ts.o autoconf.o sap.o crc32.o
SRC_FILES	= $(OBJ_FILES:.o=.c)

ifdef DESTDIR
  BINDIR = $(DESTDIR)/usr/bin
else
  BINDIR = /usr/bin
endif

ifdef DEBUG
  CFLAGS += -g -ggdb
else
  CFLAGS += -O2
endif

ifdef GCOV
  CFLAGS += -fprofile-arcs -ftest-coverage
endif

ifdef GPROF
  CFLAGS += -pg
endif

ifndef NOCAMSUPPORT
  CFLAGS += -DLIBDVBEN50221
  LFLAGS += -ldvben50221 -ldvbapi -lucsi -lpthread
endif


.PHONY: all clean clean_objs install uninstall

all: $(OUT)

mumudvb: $(OBJ_FILES)
	$(CC) $(INCS) $(CFLAGS) $(LFLAGS) -o $@ $^

clean: clean_objs
	-rm -f  $(OUT)

clean_objs:
	-rm -f  *.o *~ *.gcda *.gcno .depend

install: $(OUT)
	install $(IFLAGS) -d $(BINDIR)
	install $(IFLAGS) -m 755 mumudvb $(BINDIR)

uninstall:
	-rm $(BINDIR)/mumudvb
	-rm -r /var/run/mumudvb

%.o: %.c
	$(CC) $(CFLAGS) -c $<

.depend: $(SRC_FILES)
	$(CC) -MM $^ > $@

include .depend

## mumudvb 1.6

=== debian/changelog ===
mumudvb (1.6-2) unstable; urgency=low

  * Do not remove system user on purge (Closes: #656349)
  * Update debian/watch
  * Switch source package format to 3.0 (quilt)
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 20 Jan 2012 08:12:57 +0100

mumudvb (1.6-1) unstable; urgency=low

  * New upstream release
  * Use precompiled doc shipped by upstream tarball; remove
    build-dependency on asciidoc
  * Update watch file (upstream ships tarballs, now)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Oct 2009 17:26:38 +0200

mumudvb (1.6~20090930-1) unstable; urgency=low

  * New upstream snapshot:
    - fix initscript header (Closes: #547215)
  * debian/control:
    - update my e-mail address and remove DMUA
    - add build-dependency to asciidoc, update debhelper's one
    - move to new section video
    - update Standards-Version to 3.8.3
  * Remove broken get-orig-source debian/rules target
  * Put more details in debian/watch
  * Add doc-base registration file

 -- Stéphane Glondu <glondu@debian.org>  Thu, 01 Oct 2009 10:54:17 +0200

mumudvb (1.5.4-1) unstable; urgency=low

  * New upstream release
    - add dependency to dvb-apps
  * Bump Standards-Version to 3.8.1

 -- Stephane Glondu <steph@glondu.net>  Sun, 22 Mar 2009 13:05:41 +0100

mumudvb (1.5.3-2) unstable; urgency=low

  * First upload to unstable

 -- Stephane Glondu <steph@glondu.net>  Mon, 16 Feb 2009 00:43:24 +0100

mumudvb (1.5.3-1) experimental; urgency=low

  * Initial release (Closes: #481616)

 -- Stephane Glondu <steph@glondu.net>  Tue, 09 Dec 2008 22:09:47 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	cp scripts/debian/etc/init.d/mumudvb debian/mumudvb.init

## mumudvb 1.7.1

=== debian/changelog ===
mumudvb (1.7.1-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:35:52 +0000

mumudvb (1.7.1-1) unstable; urgency=low

  * New upstream release
    - fix compatibility of SAP announces with VLC > 2.0.1 (Closes: #669276)
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Jun 2012 10:16:27 +0200

mumudvb (1.7-1) experimental; urgency=low

  * New upstream release (Closes: #659821)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Apr 2012 11:48:38 +0200

=== debian/control ===
Source: mumudvb
Section: video
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dvb-apps
Standards-Version: 3.9.2
Homepage: http://mumudvb.braice.net/
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/dvb/mumudvb.git
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/dvb/mumudvb.git

Package: mumudvb
Architecture: any
Depends: adduser, dvb-apps, ${shlibs:Depends}, ${misc:Depends}
Suggests: dvbtune
Description: multicasts all channels of a DVB transponder on a network
 Mumudvb is a program that redistributes streams from DVB on a network
 using multicast. It is able to multicast a whole DVB transponder by
 assigning each channel a different multicast IP. It can operate
 Conditional Access Modules (CAM), and therefore works with encrypted
 streams. It has very low CPU and memory usage.

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	cp scripts/debian/etc/init.d/mumudvb debian/mumudvb.init
+
+.PHONY: override_dh_installdocs
+override_dh_installdocs:
+	dh_installdocs -XMakefile -X.8 -- doc/*

=== debian/watch ===
version=3
opts="uversionmangle=s/RC/~rc/" \
http://mumudvb.braice.net/mumudrupal/node/25 .*h=(\d[^;]*).*

# The upstream git repository is available at:
#   http://mumudvbgit.braice.net/mumudvb
#
# There is also a gitweb instance available for browsing at:
#   http://gitweb.braice.net/gitweb?p=mumudvb

## mumudvb 2.1.0

=== openwrt/packages/mumudvb/Makefile ===
# 
# Copyright (C) 2009 Brice DUBOST
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#

include $(TOPDIR)/rules.mk
include $(INCLUDE_DIR)/kernel.mk

PKG_NAME:=mumudvb
PKG_VERSION:=1.6.1-openwrt
PKG_RELEASE:=1

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=http://mumudvb.braice.net/mumudvb/mumudvb-beta
PKG_BUILD_DIR:=$(BUILD_DIR)/mumudvb
EXTRA_CPPFLAGS+=-std=gnu99


include $(INCLUDE_DIR)/package.mk


define Package/mumudvb
  SECTION:=utils
  CATEGORY:=Utilities
  DEFAULT:=n
  TITLE:=MuMuDVB streaming software
  URL:=http://mumudvb.braice.net/
endef

define Package/mumudvb/description
 MuMuDVB streaming software
endef

define Build/Configure
  $(call Build/Configure/Default,--with-linux-headers=$(LINUX_DIR))
endef

define Package/mumudvb/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/src/mumudvb $(1)/usr/bin/mumudvb
endef

$(eval $(call BuildPackage,mumudvb))

=== debian/changelog ===
mumudvb (2.1.0-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/control: Add Christoph Martin <chrism@debian.org> as Uploaders.

  [ Christoph Martin ]
  * fix uploaders entry
  * include removal of doc/html in clean target

 -- Christoph Martin <chrism@debian.org>  Sat, 12 Apr 2025 14:36:21 +0200

mumudvb (2.1.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain in Debian VDR Team
  * Fix Homepage
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * cme fix dpkg-control
  * Pre-Depends: ${misc:Pre-Depends}
  * Propagate hardening options

  [ Emmanuel Arias ]
  * New upstream version (Closes: #768319).
  * d/patches: Add patches to make it possible to build.
    - fix-compiling-with-kernels-upper-4.14.patch: fix compiling error due
    kernel 4.14+ removed CA_SET_PID.
    - fix-dont-compile-mumudvb_test.patch: Take patch from upstream that
    remove a mumudvb_test.c file. It is not necessary.
  * d/control: Add asciidoc as Build Depends.
  * d/rules: Build html documentation.
  * d/mumudvb.service: Add support for systemd (Closes: #1039273).
  * d/patches/avoid-privacy-breach-logo.patch: Add patch to avoid potential
    privacy breach.
  * d/control: Add myself as Uploaders (Closes: #1102317).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 05 Apr 2025 18:53:31 -0300

=== debian/control ===
Source: mumudvb
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
           Christoph Martin <chrism@debian.org>
Section: video
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dvb-apps,
               asciidoc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/vdr-team/mumudvb
Vcs-Git: https://salsa.debian.org/vdr-team/mumudvb.git
Homepage: https://mumudvb.net/

Package: mumudvb
Architecture: any
Depends: adduser,
         dvb-apps,
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: dvbtune
Description: multicasts all channels of a DVB transponder on a network
 Mumudvb is a program that redistributes streams from DVB on a network
 using multicast. It is able to multicast a whole DVB transponder by
 assigning each channel a different multicast IP. It can operate
 Conditional Access Modules (CAM), and therefore works with encrypted
 streams. It has very low CPU and memory usage.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
@@ -11,7 +13,12 @@
 override_dh_auto_build:
 	dh_auto_build
 	cp scripts/debian/etc/init.d/mumudvb debian/mumudvb.init
+	${MAKE} doc
 
 .PHONY: override_dh_installdocs
 override_dh_installdocs:
 	dh_installdocs -XMakefile -X.8 -- doc/*
+
+override_dh_auto_clean::
+	dh_auto_clean
+	- rm -r doc/html

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/braice/MuMuDVB/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
